Author Topic: vmError: The parameter Merchant e-mail is required for the payment ( 1)  (Read 2477 times)

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3273
  • using Matomo instead of Google Analytics
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #30 on: January 05, 2018, 13:28:08 pm »
what *.js files are responsible for the payments?
None except the page refresh prevention. In your case I tend to recommend to do a fresh clean installation of Joomla and VirtueMart in a subfolder, initially with nothing else installed and get that to work first using the protostar template. Afterwards install your other extensions one after the other until you eventually get the same error again.
I'm running out of ideas  ;)
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

franzpeter

  • 3rd party VirtueMart Developer
  • Jr. Member
  • *
  • Posts: 467
    • 2in1-online | Software, Mac, PC, Netzwerk, Drucker, Pad, Display
  • VirtueMart Version: Virtuemart 3.2.6
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #31 on: January 05, 2018, 13:29:31 pm »
Alemantico, did you create a Joomla menu item for the Order Done page from Virtuemart. If so deactivate it to test if it works without that page as Menu item.

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #32 on: January 05, 2018, 14:42:54 pm »
hi jjk, that sounds like a good plan! I'll do that, as soon as I figured out what franzpeter has in mind! Of course, I'll be back to you, in order to inform you about the outcome  8) !

Hi franzpeter, thank you for digging in! Hey, I checked the menu structure, but I don't think so, that I created such a menu. Why are you asking? Anyway, I just sent you a screenshot about my current menu tree.

best regards!

franzpeter

  • 3rd party VirtueMart Developer
  • Jr. Member
  • *
  • Posts: 467
    • 2in1-online | Software, Mac, PC, Netzwerk, Drucker, Pad, Display
  • VirtueMart Version: Virtuemart 3.2.6
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #33 on: January 05, 2018, 15:28:10 pm »
I did ask you because I had difficulties with it when first used it, because I did not configure it properly. It did produce some results you described like always going to thank you page without allowing to place an order. But it does not seems to be the problem you described in your case.

Studio 42

  • Contributing Developer
  • Sr. Member
  • *
  • Posts: 2893
  • Joomla & Virtuemart addon developper
    • Studio 42 - Virtuemart & Joomla extentions
  • VirtueMart Version: 2.6 & 3.0.x.y
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #34 on: January 06, 2018, 02:45:21 am »
Hum, i see you use SP page builder?
I had to remove it on a multi language site, because i had similar problem(bad redirecting), so perhaps your problem can be solved if you remove SP page builder.

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #35 on: January 25, 2018, 16:10:39 pm »
Hi jjk,
Sorry very much, that it took me just a while for the response. By getting busy with work, sometimes time is passing by so quickly! Anyway, meanwhile I tried what you'd said, and uninstalled extension for extension - with no success; The issue remained till the termination of the last remaining extension. At next I downloaded the entire site to my localhost. Besides this folder I created another one with a clean joomla installation. I than installed all the extensions I've on my original site. When I was ready, I repointed to the database of my site. Guess what? There it was; The same issue again! I already cleaned and repaired all the tables inside the phpmyadmin. But nothing really helped! Anyway, within the shop I turned my site back online. Maybe there are some coders around who want to get a deeper look into that problem.  Right now, I really don't know where I should heading next  :( !

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #36 on: January 25, 2018, 16:21:59 pm »
hi Studio 42, thank you for your consideration about the page builder. Well, I only can say that the page builder was besides  the Virtuemart Component a part of the Quick installation package of Helix 3 Template.  If I get rid of the page builder now, I can re-build my entire site. It took me over a year to build this site - and I really won't to do that again! I hope you guys don't call me a trader, when I say, that I meanwhile consider of finding another online shop. Even I really love all these functions and fancy features of vm. But what sense it makes to me, when I can't get it to work  :( ?
Best regards to all of you, who adviced me and who spent so much time for helping me out! I really appreciate that very very much  8) !
Anyway, I really don't know what I'll do with that within the next days.

cheers!

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 7705
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 2.6.22 & 3.2.14
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #37 on: January 25, 2018, 17:00:21 pm »
At least disable the content builder to test if this is the problem...
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9533
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #38 on: January 25, 2018, 17:40:36 pm »
Mal eben auf Deutsch.

Ich sehe nichts besonderes auf der Seite. Das Design ist einfach gehalten, usw. Nichts wofür man jetzt groß ein Sitebuilder braucht. Desweiteren sind extra Caches meistens sinnlos.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 7705
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 2.6.22 & 3.2.14
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #39 on: January 25, 2018, 17:50:03 pm »
The base premise is -> Joomla/VM works

So start from that .. try the Protostar template with all that supercache etc switched off.. ignore the layout for the moment .. does it work?

If so proceed from there...  mixing all your JS into a single file I think will be the source of your problems

https://www.austrialandscapes.org/cache/speedcache-minify/js/sc_87e70ff00217efd74c5e9a1d416a936b.js

GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3273
  • using Matomo instead of Google Analytics
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #40 on: January 25, 2018, 18:02:43 pm »
See screenshot pointing to a speedcache problem:
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #41 on: January 26, 2018, 10:07:42 am »
Hey, GJC Web Design, jjk! Yes, you were right; If I disabled all the cachings and if I disable the template, than at least the english version is kind of working! Just at the German language the payment options are still gone! Strange enough, that before I uninstalled the speedcache and the issue did persist. I truly believe what  GJC Web Design just menitioned about the compressed *.js-file. What I'm going to try now is; - again I will  re-install the template and remove the super cache extension. Afterwards I'll get back to you with the result!
Thank you again and again so much for staying to help! Thanx to the Lord for people like you  8) !

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #42 on: January 26, 2018, 10:39:21 am »
Ok, here'S the thing;
At the very first I got rid of the SuperCache Extension. Right after I uninstalled the Helix framework, went to the jomshaper site, downloaded & installed the newest Version. And now this is the Situation: At the english front end site, the error message of the parameter Merchant e-mail is gone. I can proceed the order 'till I got re-directed. At this point I'm now getting an error message about the missing shipping adress (Screenshot), even I've already the shipment as you can see at the screenshot. However, at the German site of the onlineshop I'm facing a kind of different issue; As soon as I entered the order page, I were receiving the same message as were we started with the forum  ( vmError: The parameter Merchant e-mail is required for the payment ( 1) [Screenshot]). But just now, only few minutes later, when I enter the German section, than the message just disappeared, and I can at least hit the payment button. And now, I'm getting the thank you message for ordering (Screenshot). Even I have a good feeling, that we're closer now, I think my site is kinda spooky  :-\ !
Thank you very much for motivating me to find a solution and to stick with VM  8) !
Very best regards!!!

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #43 on: January 27, 2018, 11:24:01 am »
ok, meanwhile I found out about the shipping adress, and I fixed it right away! The only issue left is about the payment procedure; I'm still not able to proceed the payment anyhow! As soon as hiting the pm button, it's ending with the thank you message. Any idea about how fixing that?
best regards & thank you a lot for keeping up with me! I really appreciate that!

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3273
  • using Matomo instead of Google Analytics
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #44 on: January 27, 2018, 13:50:40 pm »
You still have other issues as well. Checkout in German still shows "Fehler: The parameter Merchant e-mail is required for the payment ( 1)". Which payment extension do you use? Doesn't look like original VM payment plugins.  And this error message also shows up if I select one of the other two payment options, so it's not PayPal specific.
BTW - I would suggest to add a menu item link to the cart view to the English and German user menu modules.
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations